.offcanvas {
  transition-delay: 100ms !important;
  &-header {
    flex: 0 0 auto;
  }
  &-body {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
    transition-duration: 150ms;
    transition-delay: 250ms;
    transition-property: opacity, transform;
    &__middle {
      flex: 1 1 auto;
      opacity: 0;
      transform: translateY(50%);
      transition-duration: 450ms;
      transition-delay: 350ms;
      transition-timing-function: cubic-bezier(0.175, 0.885, 0.32, 1.275);
      transition-property: opacity, transform;
      .offcanvas-main-nav-shown & {
        opacity: 1;
        transform: translateY(0);
      }
    }
    &__footer {
      flex: 0 0 auto;
      opacity: 0;
      transform: translateY(100%);
      transition-duration: 350ms;
      transition-delay: 650ms;
      transition-timing-function: cubic-bezier(0.175, 0.885, 0.32, 1.275);
      transition-property: opacity, transform;
      .offcanvas-main-nav-shown & {
        opacity: 1;
        transform: translateY(0);
      }
    }
  }
  // Add a little delay to the animated burger icon, so the full
  // animation is visible after opening the offcanvas
  .navbar-toggler-icon-animated span {
    transition-delay: 500ms;
  }
}
